Bug 213082 - Add /var/lib/xen/images to 'xen_image_t' type
Add /var/lib/xen/images to 'xen_image_t' type
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: selinux-policy-targeted (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks: 212995
  Show dependency treegraph
 
Reported: 2006-10-30 14:28 EST by Daniel Berrange
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: 5.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-28 16:44:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Berrange 2006-10-30 14:28:03 EST
Description of problem:
File backed disk images for Xen virtual machines need to be labelled with the
'xen_image_t' type. The current policy has '/xen' associated with this type. To
be FHS compliant, we are going to default to '/var/lib/xen/images' as the
standard directory for Xen images. Thus we need '/var/lib/xen/images' added to
the xen_image_t type.

Version-Release number of selected component (if applicable):
selinux-policy-targeted-2.4.1-3.fc6

How reproducible:

Steps to Reproduce:
1. 
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Daniel Walsh 2006-10-30 14:33:17 EST
fixed in selinux-policy-targeted-2.4.2-3
Comment 3 RHEL Product and Program Management 2006-11-06 11:47:37 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux release.  Product Management has requested further review
of this request by Red Hat Engineering.  This request is not yet committed for
inclusion in release.
Comment 4 Jay Turner 2006-11-06 15:53:38 EST
QE ack for RHEL5.

Note You need to log in before you can comment on or make changes to this bug.